<?php

namespace app\admin\controller;

use app\admin\logic\LoginLogic;
use app\BaseController;
use think\exception\ValidateException;
use think\facade\Config;
use think\facade\Validate;

//登录相关
class Login extends BaseController
{

    //登录
    public function Login()
    {
        $param = $this->request->only(['username', 'password'], 'post');

        $val = Validate::rule(Config::get('validate_rules.login'));

        if (!$val->check($param)) throw new ValidateException($val->getError());

        return LoginLogic::Logic($param);
    }

    //登出
    public function logout()
    {
        return LoginLogic::logout($this->request->post('token',''));
    }


}